Page MenuHomePhabricator

[EPIC] Implement fixed bar on mobile web beta with language button
Closed, DeclinedPublic

Description

AC

  • Language switcher link is available in sticky footer at the bottom of the viewport
  • The sticky footer is shown to 50% of mobile web beta users
  • We have metrics in place for measuring
      • No tracking changes from now to the B version
    • Before pushing to stable we should have a estimate of impact on clicks and thus impact on API traffic and whether this would lead us to needing to ship languages via JavaScript config variables rather than API requests.

TBD

  • Design (by @Nirzar) moves also the watchstar. Should it be done as part of the beta test?
    • If so, we should track (without changes to the metrics) the watchstar and its impact.

Implementation plan (proposal)

From T123342#1928084

First, in parallel

T123382: Spike: How do people currently use the language switcher?
T119658: [Design] Language button on footer
T122521: Update MobileWebUIClickTracking to include talk, edit, watch, etc.

Next, implementation in parallel, rollout may not be

T123384: Changes to language overlay design
T97377: Create a sticky footer with access to language switcher

Related Objects

Event Timeline

Jhernandez raised the priority of this task from to High.
Jhernandez updated the task description. (Show Details)
Jhernandez added a subscriber: Nirzar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2016, 1:32 AM

First, in parallel

T123382: Spike: How do people currently use the language switcher?
T119658: [Design] Language button on footer
T122521: Update MobileWebUIClickTracking to include talk, edit, watch, etc.

Next, implementation in parallel, rollout may not be

T123384: Changes to language overlay design
T97377: Create a sticky footer with access to language switcher

Jhernandez updated the task description. (Show Details)Jan 12 2016, 6:42 PM
Jhernandez set Security to None.
Jhernandez updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Feb 1 2016, 6:55 PM
Jdlrobson added a project: Epic.
Nirzar changed the status of subtask T119658: [Design] Language button on footer from Open to Stalled.Feb 20 2016, 9:06 PM
Nirzar changed the task status from Open to Stalled.Feb 29 2016, 7:07 AM

@Jhernandez @Nirzar we didn't do this, but we decided not to. Your call on whether to close or keep it open for a possible future. I am removing it as a blocker from the first language switching epic: T121919

@JKatzWMF lets close it. we can come re-open if needed in the future. for now there are no plans

JKatzWMF closed this task as Resolved.Jun 16 2016, 11:34 PM
JKatzWMF claimed this task.

The dream of fixed toolbar on mobile web is dead for now...

Jdlrobson changed the task status from Resolved to Declined.Aug 30 2016, 8:28 PM